Package org.apache.nutch.scoring.webgraph

## Class NodeDumper.Dumper

- java.lang.Object
- - org.apache.hadoop.conf.Configured
  - - org.apache.nutch.scoring.webgraph.NodeDumper.Dumper

- All Implemented Interfaces:
    `Configurable`
  Enclosing class:
    NodeDumper

      public static class NodeDumper.Dumper
      extends Configured

  Outputs the hosts or domains with an associated value. This value consists of either the number of inlinks, the number of outlinks or the score. The computed value is then either the sum of all parts or the top value.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class | Description
    --- | --- | ---
    `static class` | `NodeDumper.Dumper.DumperMapper` | Outputs the host or domain as key for this record and numInlinks, numOutlinks or score as the value.
    `static class` | `NodeDumper.Dumper.DumperReducer` | Outputs either the sum or the top value for this record.

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `Dumper()` |

  - ### Method Summary

    - ### Methods inherited from class org.apache.hadoop.conf.Configured

      `getConf, setConf`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Dumper

          public Dumper()